#
# spec file for package redfishtool
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2020-2023, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           redfishtool
Version:        1.1.8
Release:        1.6
Summary:        A CLI tool for accessing the Redfish API
License:        BSD-3-Clause
Group:          Productivity/Networking/Other
URL:            https://github.com/DMTF/Redfishtool
Source:         https://github.com/DMTF/Redfishtool/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
Requires:       python3-dateutil
Requires:       python3-requests
BuildArch:      noarch

%description
redfishtool is a commandline tool that implements the client side
of the Redfish RESTful API for Data Center Hardware Management.

%prep
%setup -q -n Redfishtool-%{version}

%build
%python3_build

%install
%python3_install
%python_expand %fdupes %{buildroot}%{python3_sitelib}/
rm %{buildroot}/%{_bindir}/redfishtool.py

%files
%license LICENSE.md
%doc AUTHORS.md CHANGELOG.md README.md
%{_bindir}/redfishtool
%{python3_sitelib}/redfishtool*

%changelog
* Sun Aug 27 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.8
  * Corrected matching logic to return the matched resource if
    found.
- Update to version 1.1.7
  * Added workaround to specify the 'BootSourceOverrideMode'
    property when modifying the boot override properties even if
    the mode is not changing.
- Update to version 1.1.6
  * Minor spelling fixes
* Fri May 26 2023 Thomas Renninger <trenn@suse.de>
- Add python3-dateutils dependency to fix:
  File "/usr/lib/python3.10/site-packages/redfishtoollib/redfishtoolTransport.py", line 44, in <module>
    from dateutil import parser
  ModuleNotFoundError: No module named 'dateutil'
* Sat Mar  6 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.5
  * Added --no-proxy option.
  * Fixed missing documentation to show PowerCycle is a valid
    reset option.
* Fri Jul 24 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.4
  * Renamed the package to not conflict with the name of the script
  * Added additional redfishtool.py script for Windows compatibility
- Update to version 1.1.3
  * Added inventory and sensor options
* Fri Apr 10 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.2
  * Made fix to collection listing to show members when optional
    properties are not present
* Fri Jan 31 2020 Martin Hauke <mardnh@gmx.de>
- Initial package, version 1.1.1
